GWT 2.7.0

## com.google.gwt.user.cellview.client
Class CellBrowser.Builder<T>

    java.lang.Object
      com.google.gwt.user.cellview.client.CellBrowser.Builder<T>

Type Parameters:
  `T` - the type of data in the root node

Enclosing class:
  CellBrowser

    public static class CellBrowser.Builder<T>

extends java.lang.Object

Builder object to create CellBrowser.

Constructor Summary
`CellBrowser.Builder(TreeViewModel viewModel, T rootValue)` Construct a new `CellBrowser.Builder`.

Method Summary
`CellBrowser` | `build()` Creates a new `CellBrowser`.
`CellBrowser.Builder<T>` | `loadingIndicator(Widget widget)` Set the widget to display when the data is loading.
`CellBrowser.Builder<T>` | `pagerFactory(CellBrowser.PagerFactory factory)` Set the pager factory used to create pagers for each `CellList`.
`CellBrowser.Builder<T>` | `pageSize(int pageSize)` Set the pager size for each `CellList`.
`CellBrowser.Builder<T>` | `resources(CellBrowser.Resources resources)` Set resources used for images.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellBrowser.Builder

    public CellBrowser.Builder(TreeViewModel viewModel,
                               T rootValue)

  Construct a new `CellBrowser.Builder`.

  Parameters:
    `viewModel` - the `TreeViewModel` that backs the tree
    `rootValue` - the hidden root value of the tree

Method Detail

### build

    public CellBrowser build()

  Creates a new `CellBrowser`.

  Returns:
    new `CellBrowser`

### loadingIndicator

    public CellBrowser.Builder<T> loadingIndicator(Widget widget)

  Set the widget to display when the data is loading.

  Parameters:
    `widget` - the loading indicator
  Returns:
    this

### pagerFactory

    public CellBrowser.Builder<T> pagerFactory(CellBrowser.PagerFactory factory)

  Set the pager factory used to create pagers for each `CellList`. Defaults to `PageSizePagerFactory` if not set. Can be set to null if no pager should be used. You should also set pageSize big enough to hold all your data then.

  Parameters:
    `factory` - the pager factory
  Returns:
    this

### pageSize

    public CellBrowser.Builder<T> pageSize(int pageSize)

  Set the pager size for each `CellList`.

  Parameters:
    `pageSize` - the page size
  Returns:
    this

### resources

    public CellBrowser.Builder<T> resources(CellBrowser.Resources resources)

  Set resources used for images.

  Parameters:
    `resources` - the `CellBrowser.Resources` used for images
  Returns:
    this

GWT 2.7.0